<!--
	Script:   ThePhig
	Link:   http://www.thephig.com/
	Version:  <?php echo $version; ?>
-->
<?php
	$exec_time = microtime(true);
	include("template/header.php");
	require("inc/protect.php");
	require("inc/exif.php");

	$_GET = cleanInput($_GET);
	$album = mysql_real_escape_string($_GET['album']);
?>

<div id="gallery">
	<h2 style="margin-bottom: 0;"><a href="admin.php" title="Admin Panel">Admin Panel</a></h2>
	<h4 style="margin: 0 0 10px 20px;"><a href="index.php" title="<?php echo $galleryTitle; ?>">View Main Gallery</a></h4>
	<?php // {{{ Version Check
		// 
		// Grab the latest version number from thephig.com
		// Only display warning if current version of thePhig does not equal the version on thephig.com
		//
		$currentVersion = strip_tags(@file_get_contents("http://thephig.com/version.php"));
		if ($version != $currentVersion) { echo "<div id=\"versionInfo\">thePhig is not currently up to date. The latest version is <a href=\"http://thephig.com/\" title=\"Update thePhig\">$currentVersion</a> but you are running $version. It is recommended you <a href=\"http://thephig.com/\" title=\"Update thePhig\">update</a>.</div>"; }
	//}}}?>
<?php
// {{{ Album View
	if ($album) {
		$i = 0;
		echo "<ul style=\"font-size:0.7em; margin-top: 0;\">\n";

		// {{{ Check if Album Exists in DB
		$albumExists = mysql_query("SELECT thephig_albums.albumID FROM thephig_albums WHERE thephig_albums.albumFolder = '$album'");
		if ( mysql_num_rows($albumExists) != 1 ) {
			$maxOrder = mysql_fetch_array(mysql_query("SELECT MAX(albumOrder) FROM thephig_albums"));
			$maxOrder = $maxOrder['MAX(albumOrder)'] + 1;
			mysql_query("INSERT INTO thephig_albums (albumFolder,albumName,albumOrder) VALUES('$album', '$album', '$maxOrder')") or die("There was an error inserting into the database.  Please verify your mysql configuration and user permissions."); 
		}
		$albumID = mysql_fetch_array(mysql_query("SELECT thephig_albums.albumID FROM thephig_albums WHERE thephig_albums.albumFolder = '$album'"));
		$albumID = $albumID[0];
		// }}}
		// {{{ Store list of images in directory
		$dirHandle = opendir( "$imagesPath/$album" ) or die( "Cannot open directory: $imagesPath" );
		while ( $file = readdir( $dirHandle ) ) {
			$pathParts = pathinfo( "$imagesPath/$file" );
 			
			// Check that the image is .jpg, .jpeg, .png and is not icon.png, *_tn.*, or *_resize.*
			if ( ( strtolower($pathParts['extension']) == 'jpg' || strtolower($pathParts['extension']) == 'jpeg' || strtolower($pathParts['extension']) == 'png' ) && ($file != "icon.png") && ( strpos($file,$thumbExt . '.' . $pathParts['extension']) === FALSE ) && ( strpos($file,'_resize.' . $pathParts['extension']) === FALSE ) ) {
				
				$dimensions = getimagesize("$imagesPath/$album/$file");
				// If the image is too small, don't add to database
				if ( ($dimensions[0] < $maxWidth) || ($dimensions[1] < $maxHeight) ) {
					$errorElements .= "<li><a href='$imagesPath/$album/$file' title='$file' class='$jsOverlay' rel='$jsOverlay'>$file</a> does not meet the minimum size requirement of $maxWidth" . "x$maxHeight at it's current dimensions of " . $dimensions[0]. "x" . $dimensions[1] . "</li>\n"; 
				}
				else {
					$fileList[$i] = $file;
					$i++;
				}
			
			}
		}
		closedir($dirHandle);

		@sort($fileList);		// Silence errors if the $fileList contains no valid images (can't sort an array with 0 items)
		$imageCount = count($fileList);
		// }}}
		// {{{ Display list of images
		echo "<form method='post' action='inc/post.php'>";
		echo $errorElements;
		if ($imageCount == 0) { echo "There are no valid images in this directory."; }		// There are 0 images in the directory, nothing to display
		for ($i = 0; $i < $imageCount; $i++) {
			$pathParts = pathinfo( "$imagesPath/$fileList[$i]" );
			$filename = $pathParts['filename'];
			$thumbnailName = $filename . $thumbExt . '.' . $pathParts['extension'];
			$completeThumbPath = $imagesPath . '/' . $album . '/' . $thumbnailName;
			$completeResizePath = $imagesPath . '/' . $album . '/' . $filename . '_resize.' . $pathParts['extension'];
				
				$result = mysql_query("SELECT thephig_images.*, thephig_albums.albumFolder " .
					"FROM thephig_albums, thephig_images " .
					"WHERE thephig_albums.albumID = thephig_images.albumID " .
					"AND thephig_albums.albumFolder = '$album' " .
					"AND thephig_images.imageName = '$fileList[$i]'");
				$count = mysql_num_rows($result);
				$image = mysql_fetch_array($result);

				// {{{ Image is NOT in database
				if ( $count == 0 ) {
					if (strtolower($pathParts['extension']) == 'jpg') {
						$exif = buildExif($imagesPath . '/' . $album . '/' . $fileList[$i]);
						$imageDate = $exif['date'];
						$imageISO = $exif['iso'];
						$imageApature = $exif['apature'];
						$cameraModel = $exif['camera'];
						$orientation = $exif['orientation'];
						$geoCoords = $exif['geoCoords'];
					}
					if ($exif['comment'] != "" && $exif['comment'] != " ") { $imageTitle = mysql_real_escape_string($exif['comment']); }
					else { $imageTitle = $fileList[$i]; }
					
					mysql_query("INSERT INTO thephig_images
						(albumID, imageName, thumbnailName, imageDate, imageTitle, camera, iso, fstop, orientation, geoCoords) 
						VALUES('$albumID', '$fileList[$i]', '$thumbnailName', '$imageDate', '$imageTitle', '$cameraModel', '$imageISO', '$imageApature', '$orientation', '$geoCoords')") or die("ThePhig encountered an issue inserting into your database.  Please check your settings and users permissions");

					echo "<li><a href='$imagesPath/$album/$fileList[$i]' title='$fileList[$i]' class='$jsOverlay' rel='$jsOverlay'>$fileList[$i]</a> did NOT exist in DB. Image has been added to the database.";
				} // }}}
				// {{{ Image is in database
				else if ( $count == 1 ) {
					echo "
						<li style='clear: both;'>
							<a href='$imagesPath/$album/$fileList[$i]' title='$fileList[$i]' class='$jsOverlay' rel='$jsOverlay'>$fileList[$i]</a> exists in DB. "; 
				} // }}}
			// {{{ View image information
			echo "<a style=\"margin-left: 20px;\" onclick=\"toggle_visibility('imageTitleAdd" . $i . "')\">View Image Information</a>
						<ul id=\"imageTitleAdd$i\" class=\"imageTitleAdd\" style=\"display:none;\">
							<li style=\"border: 1px solid #ccc; list-style-type: none; padding: 5px;\">
								<a href=\"$imagesPath/$album/$thumbnailName\" title=\"$fileList[$i]\" class=\"$jsOverlay\" rel=\"$jsOverlay\" />Thumbnail</a><br />
								<span class=\"label\">Tags: </span> 
									<input type=\"text\" name=\"row[$i][imageTags]\" value=\"" . $image['tags'] . "\" /><br />
								<span class=\"label\">Title:</span>
									<input type=\"hidden\" name=\"row[$i][imageName]\" value=\"$fileList[$i]\" />
									<input type=\"text\" name=\"row[$i][imageTitle]\" value=\"" . $image['imageTitle'] . "\" /> <br />
								<span class=\"label\">Date: </span>" . $image['imageDate'] . "<br />
							</li>
						</ul>
					</li>";// }}}
				// {{{ Thumbnail does NOT exist
				if (!file_exists($completeThumbPath)) { 
					buildThumbs($imagesPath . '/' . $album,$fileList[$i],$maxWidth,$maxHeight,$completeThumbPath);
				} // }}}
				// {{{ Resize image does NOT exist
				if (!file_exists($completeResizePath)) {
					buildThumbs($imagesPath . '/' . $album,$fileList[$i],'1100','900',$completeResizePath);
				} // }}}
		}

		echo "<input type=\"hidden\" name=\"postType\" value=\"modifyImageTitle\" /><input type=\"hidden\" name=\"album\" value=\"$album\" /><input type=\"hidden\" name=\"imageCount\" value=\"$i\" />
				 <input type=\"submit\" name=\"Submit\" value=\"Submit Image Info Changes\" />
			</form>";
		// }}}
		// {{{ Modify album info
		$result = mysql_query("SELECT * FROM thephig_albums WHERE thephig_albums.albumFolder = '$album'");
		$albumInfo = mysql_fetch_array($result);
		echo "
		<h3 style=\"margin: 20px 0 0 0;\">Current Album Info</h3>
			<style type=\"text/css\">form { margin-left: 20px; } </style>
			<form name=\"infoTxt\" method=\"post\" action=\"inc/post.php\">
				<div class=\"label\">Album Title:</div> <input name=\"albumTitle\" type=\"text\" id=\"albumTitle\" value=\"" . $albumInfo['albumName'] . "\" /><br /> 
				<div class=\"label\">Album Date:</div> <input name=\"albumDate\" type=\"text\" id=\"albumDate\" value=\"" . $albumInfo['albumDate'] . "\" /><br />
				<div class=\"label\">Album Description:</div> <input name=\"albumDesc\" type=\"text\" id=\"albumDesc\" value='" . $albumInfo['albumDesc'] . "' /><br />
				<div class=\"label\">Album Visible? </div>
				<select name=\"visible\">
					<option value=\"0\""; if ($albumInfo['visible'] == 0) { echo " selected=\"selected\""; } echo ">No</option>
					<option value=\"1\""; if($albumInfo['visible'] == 1) { echo " selected=\"selected\""; } echo ">Yes</option>
				</select><br />
				<div class=\"label\">Protect This Album?</div>
				<select name=\"protected\">
					<option value=\"0\""; if ($albumInfo['protected'] == 0) { echo " selected=\"selected\""; } echo ">No</option>
					<option value=\"1\""; if ($albumInfo['protected'] == 1) { echo " selected=\"selected\""; } echo ">Yes</option>
				</select><br />
				<div class=\"label\">Display Google Maps? </div>
					<select name=\"googleMap\">
						<option value=\"0\"";
							if ($albumInfo['gmap'] == 0) { echo " selected=\"selected\""; }
						echo ">No</option>
						<option value=\"1\"";
							if ($albumInfo['gmap'] == 1) { echo " selected=\"selected\""; }
						echo ">Yes</option>
					</select><br />
				<div class=\"label\" style=\"color:red;\">Remove Album from Database? </div> 
					<select name=\"removeAlbumDB\">
						<option value=\"No\" selected=\"selected\">No</option>
						<option value=\"Yes\">Yes</option>
					</select><br />
				<input type=\"hidden\" name=\"postType\" value=\"albumInfo\" />
				<input type=\"hidden\" name=\"album\" value=\"$album\" />
				<input type=\"submit\" name=\"Submit\" value=\"Submit\" />
			</form>";// }}}
// {{{ Modify icon
		echo "
		<h3 style=\"margin: 20px 0 0 0;\">Create Icon From Image</h3>
		<form name=\"createIcon\" method=\"post\" action=\"inc/post.php\">
			<input type=\"hidden\" name=\"postType\" value=\"createIcon\" />
			<input type=\"hidden\" name=\"album\" value=\"$album\" />
			<input type=\"hidden\" name=\"imagesPath\" value=\"../$imagesPath\" />
			<div class=\"label\">Image:</div><select name=\"image\">";
				for ($i = 0; $i < $imageCount; $i++) { echo "<option value=\"$fileList[$i]\">$fileList[$i]</option>\n"; }
			echo "
			</select><br />
			<div class=\"label\">X Offset</div> <input type=\"text\" name=\"leftoffset\" value=\"0\" /><br />
			<div class=\"label\">Y Offset</div> <input type=\"text\" name=\"topoffset\" value=\"0\" /><br />
			<div class=\"label\">Current Icon:</div> ";
			if (file_exists($imagesPath . '/' . $album . '/icon.png')) { echo "<a href=\"$imagesPath/$album/icon.png\" title=\"Current Icon\" class=\"$jsOverlay\" rel=\"$jsOverlay\">$imagesPath/$album/icon.png</a><br />"; }
			else { echo "<a href=\"$imagesPath/icon-blank.png\" title=\"Current Icon\" class=\"$jsOverlay\" rel=\"$jsOverlay\">$albumImages/icon-blank.png</a><br />"; }
		echo "
			<div class=\"label\"><input type=\"submit\" name=\"Submit\" value=\"Submit\" /></div>
		</form>\n";
// }}}
	}
// }}}
// {{{ Gallery Administration
	else if ($_GET['admin']) {
		$dirHandle = @opendir( "template" ) or die( "Cannot open directory" );
		while ( $file = readdir( $dirHandle ) ) {
			if ( $file != '.' && $file != '..' && is_dir("template/" . $file) ) { $themeFiles[] = $file; }
		}
		closedir($dirHandle);
		echo "
			<h4>General Administration</h4>
			<style type=\"text/css\">form { margin-left: 20px; } input, select, .label { margin-top: 5px; }</style>
			<form name=\"generalAdmin\" method=\"post\" action=\"inc/post.php\">
				<div class=\"label\">Gallery Title:</div> <input name=\"galleryTitle\" type=\"text\" id=\"galleryName\" value=\"$galleryTitle\" /><br />
					<div class=\"sublabel\">* The name of your gallery</div>
				<!--<div class=\"label\">Gallery Path:</div> <input name=\"galleryPath\" type=\"text\" id=\"galleryPath\" value=\"$galleryPath\" /><br />
					<div class=\"sublabel\">* The absolute path to the root gallery directory (with trailing '/')</div>-->
				<div class=\"label\">Copyright Owner:</div> <input name=\"copyrightOwner\" type=\"text\" id=\"copyrightOwner\" value=\"$copyrightOwner\" /><br />
				<div class=\"label\">Copyright Link:</div> <input name=\"copyrightLink\" type=\"text\" id=\"copyrightLink\" value=\"$copyrightLink\" /><br />
				<div class=\"label\">Javascript Overlay:</div> <!--<input name=\"jsOverlay\" type=\"text\" id=\"jsOverlay\" value=\"$jsOverlay\" />-->
					<select name='jsOverlay'>
						<option value='fancyboxset'";
							if($jsOverlay == 'fancyboxset') echo " selected=\"selected\"";
						echo ">FancyBox</option>
						<option value='prettyPhoto[set]'";
							if($jsOverlay == 'prettyPhoto[set]') echo " selected=\"selected\"";
						echo ">prettyPhoto</option>
						<option value='shutterset'";
							if($jsOverlay =='shutterset') echo " selected=\"selected\"";
						echo ">Shutter</option>
					</select><br />
				<div class=\"label\">Path to Images:</div> <input name=\"imagesPath\" type=\"text\" id=\"imagesPath\" value=\"$imagesPath\" /><br />
					<div class=\"sublabel\">* The path to the directory where the images are stored, relative to the Gallery Path (no trailing '/')</div>
				<div class=\"label\">Albums Per Page:</div> <input name=\"albumsPerPage\" type=\"text\" id=\"albumsPerPage\" value=\"$albumsPerPage\" /><br />
				<div class=\"label\">Images Per Page:</div> <input name=\"imagesPerPage\" type=\"text\" id=\"imagesPerPage\" value=\"$imagesPerPage\" /><br />
				<div class=\"label\">Max Thumb Height:</div> <input name=\"maxHeight\" type=\"text\" id=\"maxHeight\" value=\"$maxHeight\" /><br />
				<div class=\"label\">Max Thumb Width:</div> <input name=\"maxWidth\" type=\"text\" id=\"maxWidth\" value=\"$maxWidth\" /><br />
				<div class=\"label\">Thumbnail Extension:</div> <input name=\"thumbExtension\" type=\"text\" id=\"thumbExtension\" value=\"$thumbExt\" /><br />
				<div class='label'>Theme:</div>
				<select name=\"theme\">\n";
				foreach ( $themeFiles as $file ) {
					echo "<option value=\"$file\"";
					if ($file == $theme) { echo " selected=\"selected\""; } 
					echo ">$file</option>\n";
				}
				echo "
				</select><br />
				<div class=\"label\">Google API Key:</div> <input name=\"googleAPIkey\" type=\"text\" id=\"googleAPIkey\" value=\"$apiKey\" /><br />";
			
				//
				// Determine the path to the gallery without user intervention
				// This does allow moving of thePhig to another directory and running the general admin once to update $galleryPath
				//
				$galleryPath = "";
				$pathArray = explode("/", $_SERVER['PHP_SELF']);
				$total = count($pathArray);
				if ($total > 2) {
					for ($i = 0; $i < $total - 1; $i++) { $galleryPath .= $pathArray[$i] . "/"; }
				}
				else
					$galleryPath = "/";

				echo "
				<input type=\"hidden\" name=\"galleryPath\" value=\"$galleryPath\" />
				<input type=\"hidden\" name=\"postType\" value=\"generalAdmin\" />
				<input type=\"submit\" name=\"Submit\" value=\"Submit\" />
			</form><br /><br />
			<form name=\"cleanDB\" method=\"post\" action=\"inc/post.php\">
				<input type=\"hidden\" name=\"cleanDB\" value=\"1\" />
				<input type=\"hidden\" name=\"imagesPath\" value=\"$imagesPath\" />
				<input type=\"submit\" name=\"cleanDBSubmit\" value=\"Clean DB of Missing Albums \" />
			</form>
			";
	}
// }}}
	// {{{ User Administration
	else if ($_GET['userAdmin']) {
		if ($_GET['user']) { // {{{
			$user = mysql_real_escape_string( $_GET['user'] );
			$userArray = mysql_fetch_array( mysql_query( "SELECT * FROM thephig_users WHERE username='$user' AND permissions <> 'admin'" ) );
			$permissionArray = split(",", $userArray['permissions']);
			$albumResult = mysql_query( "SELECT albumID, albumName FROM thephig_albums WHERE protected='1'" ); 
			//$albumResult = mysql_query( "SELECT albumID, albumName FROM thephig_albums" ); 
			
			if (mysql_num_rows($albumResult) == 0) { $albumArray = "There are currently no protected albums"; }
			else {
				while ( $row = mysql_fetch_array($albumResult) ) {		// Build the checkboxes array
					$albumArray .= "<input type=\"checkbox\" name=\"albums[]\" value=\"" . $row['albumID'] . "\"";
						if (in_array( $row['albumID'], $permissionArray, true )) { $albumArray .= " checked=\"yes\""; }
					$albumArray .= "> " . $row['albumName'] . "<br />\n";
				}
			}
			if ( !$userArray['lastlogin'] )
				$userArray['lastlogin'] = "Never";
			
			echo "
				<style type=\"text/css\">
					.label { margin-left: 20px; }
					.info { font-size: 0.9em; margin-top: 5px; }
					form { margin-left: 20px; }
				</style>
				<h3>User: $user</h3>
				<div class=\"label\">User ID:</div> <div class=\"info\">" . $userArray['id'] . "</div>
				<div class=\"label\">Description:</div> <div class=\"info\">" . $userArray['description'] . "</div>
				<div class=\"label\">Last Login:</div> <div class=\"info\">" . $userArray['lastlogin'] . "</div>

				<h4 style=\"margin-bottom:0\">Modify User</h4>
				<form method=\"post\" action=\"inc/post.php\">
					<div class=\"label\">Description:</div> <input type=\"text\" class=\"text\" name=\"description\" value=\"" . $userArray['description'] . "\" /><br />
					<div class=\"label\">New Password:</div> <input type=\"text\" class=\"text\" name=\"newPassword\" /><br />
					<input type=\"hidden\" name=\"user\" value=\"$user\" />
					<input type=\"hidden\" name=\"userID\" value=\"" . $userArray['id'] . "\" />
					<input type=\"hidden\" name=\"modifyUser\" value=\"1\" />
					<div class=\"label\"><input type=\"submit\" name=\"Submit\" value=\"Submit\" /></div><br />
				</form>

				<h4>Album Access for Protected Albums</h4>
				<form method=\"post\" action=\"inc/post.php\">
					$albumArray
					<input type=\"hidden\" name=\"user\" value=\"$user\" />
					<input type=\"hidden\" name=\"userID\" value=\"" . $userArray['id'] . "\" />
					<input type=\"hidden\" name=\"userPerms\" value=\"1\" />";
					if (mysql_num_rows($albumResult) != 0) {
						echo "<input type=\"submit\" name=\"Submit\" value=\"Submit\" />";
					}
					echo "
				</form>
			";
		} // If editing user's permissions }}}
		else { // {{{
			echo "
			<table style=\"margin: 0 auto;\">
				<tr><th class=\"cat_header\" colspan=\"5\" style=\"text-align:center;\">User Administration</th></tr>
				<tr style=\"font-weight:bold; text-align: center; font-size: 0.9em\">
					<td>Username</td>
					<td>Permissions</td>
					<td>Description</td>
					<td>Last Login</td>
					<td>Actions</td>
				</tr>";

			//$result = mysql_query("SELECT username, permissions, description, lastlogin FROM thephig_users WHERE permissions <> 'admin'");
			$result = mysql_query("SELECT username, permissions, description, lastlogin FROM thephig_users");
			while($row = mysql_fetch_array($result)) {
				if (!$row['lastlogin']) { $row['lastlogin'] = "Never"; }
				if (!$row['permissions']) { $row['permissions'] = "None"; }
	
				if ($row['permissions'] == "admin") { 
					$actionLink = ""; 
					$userLink = $row['username'];
				}
				else { 
					$actionLink = "<a href=\"inc/post.php?userDel=" . $row['username'] . "\" title=\"Delete User\"><img src=\"/template/drop.png\" alt=\"Delete User\" /></a>"; 
					$userLink = "<a href=\"?userAdmin=1&user=" . $row['username'] . "\" title=\"Edit Permissison\">" . $row['username'] . "</a>";
				}
	
				echo "
				<tr style=\"text-align: center; font-size: 0.8em;\">
					<td>$userLink</td>
					<td>" . $row['permissions'] . "</td>
					<td>" . $row['description'] . "</td>
					<td>" . $row['lastlogin'] . "</td>
					<td>$actionLink</td>
				</tr>";
			}
			echo "
			</table>
				<b>Notes</b>
				<ul style=\"font-size: 0.8em;\">
					<li>Admins must be given permission or deleted manually from the Database</li>
					<li>Permissions relate to album ID</li>
					<li>Click a username to edit their permissions</li>
				</ul>
				";

			echo "
				<h3>Create User</h3>
				<form action=\"inc/post.php\" method=\"post\">
					<div class=\"label\">Username:</div> <input type=\"text\" name=\"username\" /><br />
					<div class=\"label\">Password:</div> <input type=\"password\" name=\"password\" /><br />
					<div class=\"label\">Description:</div> <input type=\"text\" name=\"description\" /><br />
					<input type=\"submit\" value=\"Create User\" />
				</form>";
		} // }}} 
	} // }}}
	// {{{ Default View	
	else {
		echo "<div id=\"generalAdmin\"><a href=\"?admin=1\" title=\"General Gallery Administration\">General Gallery Administration</a></div>";
		echo "<div id=\"userAdmin\"><a href=\"?userAdmin=1\" title=\"User Administration\">User Administration</a></div>";

		// {{{ Display folders that don't exist in the database
		$dirHandle = @opendir( $imagesPath ) or die( "Cannot open directory: $imagesPath" );
		while ( $file = readdir( $dirHandle ) ) {
			if ( $file != '.' && $file != '..' && is_dir( $imagesPath . '/' . $file ) ) { $dirFiles[] = $file; } // If file is a dir
		} // Read directory
		closedir($dirHandle);

		// Verify that the $imagesPath directory actually contains folders (albums)
		if (count($dirFiles) != 0) {
			rsort($dirFiles);
			foreach ( $dirFiles as $file ) {
				$file = mysql_real_escape_string( cleanInput( $file ) );
				$result = mysql_query("SELECT albumFolder FROM thephig_albums WHERE albumFolder = '$file'");
				$resultCount = mysql_num_rows( $result );
				
				if ( $resultCount == 0) {
					echo "
						<div class=\"album\">
							<a href=\"?album=$file\" title=\"$file\">";
								if ( file_exists( $imagesPath . "/" . $file . "/icon.png" ) ) { echo "<img src=\"$imagesPath/$file/icon.png\" alt=\"$file icon\" />"; }
								else { echo "<img src=\"$imagesPath/icon-blank.png\" alt=\"$file icon\" />"; }
					echo "
								<span class=\"albumInfo\">
									<span class=\"albumName\">$file</span><br />
									<span class=\"albumDate\">Album Does Not Exist In Database</span>
								</span>
							</a>
						</div>";
				} // Read the directory
			}
		}
		else {
			echo "<div class=\"album\">
				You currently do not have any albums in the $imagesPath directory
			</div>";
		}
		// }}}
		// {{{ Display what already exists in the database
		$maxOrder = mysql_fetch_array(mysql_query("SELECT MAX(albumOrder) FROM thephig_albums"));
		$minOrder = mysql_fetch_array(mysql_query("SELECT MIN(albumOrder) FROM thephig_albums"));
		
		$result = mysql_query("SELECT albumName, albumFolder, albumDate, albumOrder, visible FROM thephig_albums ORDER BY albumOrder DESC");
		while ($albums = mysql_fetch_array($result)) {
			$albumName = $albums['albumName'];
			$albumFolder = $albums['albumFolder'];
			$albumDate = $albums['albumDate'];
			$albumOrder = $albums['albumOrder'];
			
			echo "
				<div class=\"album\">
					<a href=\"?album=$albumFolder\" title=\"$albumFolder\">";
						// Check to see if an icon exists, otherwise use the default icon
						if ( file_exists( $imagesPath . "/" . $albumFolder . "/icon.png" ) ) { echo "<img src=\"$imagesPath/$albumFolder/icon.png\" alt=\"$albumFolder icon\" />"; }
						else { echo "<img src=\"$imagesPath/icon-blank.png\" alt=\"$file icon\" />"; }
			echo "
						<span class=\"albumInfo\">
							<span class=\"albumName\">$albumName</span><br />
							<span class=\"albumDate\">$albumDate<br />";
						if ($albums['visible'] == 1) { echo "Album is currently visible</span>"; }
						else { echo "Album is NOT currently visible</span>"; }
						echo "</span>
					</a>
					<div class=\"order\">";
						if ($albumOrder != $maxOrder[0]) { echo "<a href=\"inc/post.php?order=$albumOrder&move=up\" title=\"Move Up\">Up</a> "; }
						if ($albumOrder != $minOrder[0]) { echo "<a href=\"inc/post.php?order=$albumOrder&move=down\" title=\"Move Down\">Down</a>"; }
					echo "</div>
				</div>\n";
		}
		// }}}
	}
	// }}}
	
	$exec_time = microtime(true) - $exec_time;
  echo "<!-- Page took $exec_time seconds to execute -->";
?>

</div>
<?php include("template/footer.php"); ?>
