<?php
	require_once('inc/config.php');
	require_once('inc/connect.php');
	require_once('inc/functions.php'); 
	$_POST = cleanInput($_POST);
?>
<html>
<head>
	<title>ThePhig Install</title>
	<link href="template/default/style.css" media="screen" rel="Stylesheet" type="text/css" />
</head>
<body>
	<div id="gallery">
	<h2>Initial ThePhig Setup</h2>
	<?php
		if (!$_POST['postType']) {
			// Check to see if thephig is already setup in the database
			if ( mysql_num_rows( mysql_query("SHOW TABLES LIKE 'thephig%'") ) == 4 ) {
				echo "<p>The database has been setup.  You should not need to run the install.php script again.  You can now move on to the <a href=\"admin.php\" title=\"Admin Panel\">Admin Panel</a> and begin setting up your gallery.  It is recommended that you delete install.php.</p>";
				echo "<p>Next Up: <a href=\"admin.php\" title=\"Admin Panel\">Admin Panel</a></p>";
			}
			else {
				$dirHandle = @opendir( "template" ) or die( "Cannot open directory" );
				while ( $file = readdir( $dirHandle ) ) {
					if ( $file != '.' && $file != '..' && is_dir("template/" . $file) ) { $themeFiles[] = $file; }
				}
				closedir($dirHandle);

				echo "<form name='setup' method='post' action='install.php'>
								<div class='label'>Admin Username:</div> <input name='adminUsername' type='text' id='adminUsername' value='admin' /><br />
								<div class='label'>Admin Password:</div> <input name='adminPassword' type='password' id='adminPassword' value='password' /><br /><br />
								<div class='label'>Gallery Title:</div> <input name='galleryTitle' type='text' id='galleryName' value='ThePhig v3' /><br />
									<div class='sublabel'>* The name of your gallery</div>
								<div class='label'>Copyright Owner:</div> <input name='copyrightOwner' type='text' id='copyrightOwner' value='John Smith' /><br />
								<div class='label'>Copyright Link:</div> <input name='copyrightLink' type='text' id='copyrightLink' value='http://www.something.com/' /><br />
								<div class='label'>Javascript Overlay:</div>
									<select name='jsOverlay'>
										<option value='fancyboxset'>FancyBox</option>
										<option value='prettyPhoto[set]'>prettyPhoto</option>
										<option value='shutterset'>Shutter</option>
									</select><br />
								<div class='label'>Path to Images:</div> <input name='imagesPath' type='text' id='imagesPath' value='gallery_images' /><br />
								<div class='sublabel'>* The path to the directory where the images are stored, relative to the Gallery Path (no trailing '/')</div>
								<div class='label'>Albums Per Page:</div> <input name='albumsPerPage' type='text' id='albumsPerPage' value='10' /><br />
								<div class='label'>Images Per Page:</div> <input name='imagesPerPage' type='text' id='imagesPerPage' value='20' /><br />
								<div class='label'>Max Thumb Height:</div> <input name='maxHeight' type='text' id='maxHeight' value='150' /><br />
								<div class='label'>Max Thumb Width:</div> <input name='maxWidth' type='text' id='maxWidth' value='200' /><br />
								<div class='label'>Thumbnail Extension:</div> <input name='thumbExtension' type='text' id='thumbExtension' value='_tn' /><br />
								<div class='label'>Theme:</div>
									<select name='theme'>";
										foreach ( $themeFiles as $file ) {
											echo "<option value='$file'>$file</option>";
										}
								echo "
									</select><br />
								<div class='label'>Google API Key:</div> <input name='googleAPIkey' type='text' id='googleAPIkey' value='' /><br />
								<input type='hidden' name='postType' value='setup' />
								<input type='submit' name='Submit' value='Submit' />
							</form>";
			}
		}
		else if ($_POST['postType'] == 'setup') {
			$adminUsername = mysql_real_escape_string($_POST['adminUsername']);
			$adminPassword = mysql_real_escape_string(hash(sha1,($_POST['adminPassword'])));
			$galleryTitle = mysql_real_escape_string($_POST['galleryTitle']);
			$galleryPath = mysql_real_escape_string($_POST['galleryPath']);
			$copyrightOwner = mysql_real_escape_string($_POST['copyrightOwner']);
			$copyrightLink = mysql_real_escape_string($_POST['copyrightLink']);
			$jsOverlay = mysql_real_escape_string($_POST['jsOverlay']);
			$imagesPath = mysql_real_escape_string($_POST['imagesPath']);
			$albumsPerPage = mysql_real_escape_string($_POST['albumsPerPage']);
			$imagesPerPage = mysql_real_escape_string($_POST['imagesPerPage']);
			$maxHeight = mysql_real_escape_string($_POST['maxHeight']);
			$maxWidth = mysql_real_escape_string($_POST['maxWidth']);
			$thumbExtension = mysql_real_escape_string($_POST['thumbExtension']);
			$googleAPIkey = mysql_real_escape_string($_POST['googleAPIkey']);
			$theme = mysql_real_escape_string($_POST['theme']);

			$pathArray = explode("/", $_SERVER['PHP_SELF']);
			$total = count($pathArray);
			if ($total > 2)
				for ($i = 0; $i < $total - 1; $i++) { $galleryPath .= $pathArray[$i] . "/"; }
			else
				$galleryPath = "/";

			// {{{ mySQL Query
			// thephig_albums
			$query = "CREATE TABLE IF NOT EXISTS `thephig_albums` (
				`albumID` int(4) NOT NULL AUTO_INCREMENT,
				`albumFolder` text NOT NULL,
				`albumName` varchar(64) NOT NULL,
				`albumDate` text NOT NULL,
				`albumDesc` text NOT NULL,
				`albumOrder` int(6) NOT NULL,
				`visible` int(1) NOT NULL DEFAULT '1',
				`protected` int(1) NOT NULL DEFAULT '0',
				`gmap` int(1) NOT NULL DEFAULT '0',
				`password` text NOT NULL,
				PRIMARY KEY (`albumID`)
			) ENGINE=MyISAM  DEFAULT CHARSET=latin1 ; ";
			$result = mysql_query("$query");

			// thephig_images
			$query = "CREATE TABLE IF NOT EXISTS `thephig_images` (
				`id` int(4) NOT NULL AUTO_INCREMENT,
				`albumID` int(11) NOT NULL,
				`imageName` text NOT NULL,
				`thumbnailName` text NOT NULL,
				`imageDate` datetime NOT NULL,
				`imageTitle` text NOT NULL,
				`camera` text NOT NULL,
				`iso` int(6) NOT NULL,
				`fstop` varchar(5) NOT NULL,
				`orientation` int(2) NOT NULL,
				`tags` varchar(100) NOT NULL,
				`geoCoords` varchar(32) NOT NULL,
				PRIMARY KEY (`id`)
			) ENGINE=MyISAM  DEFAULT CHARSET=latin1 ; ";
			$result = mysql_query("$query");

			// thephig_info
			$query = "CREATE TABLE IF NOT EXISTS `thephig_info` (
				`galleryTitle` varchar(64) NOT NULL DEFAULT 'reedGal',
				`galleryPath` varchar(32) NOT NULL DEFAULT '/gallery/',
				`copyrightOwner` varchar(24) NOT NULL,
				`copyrightLink` varchar(48) NOT NULL,
				`jsOverlay` varchar(30) NOT NULL DEFAULT 'shutterset',
				`imagesPath` varchar(32) NOT NULL DEFAULT 'gallery_images',
				`albumsPerPage` int(3) NOT NULL DEFAULT '10',
				`imagesPerPage` int(3) NOT NULL DEFAULT '20',
				`maxHeight` int(3) NOT NULL DEFAULT '150',
				`maxWidth` int(3) NOT NULL DEFAULT '200',
				`thumbExtension` varchar(6) NOT NULL DEFAULT '_tn',
				`googleAPIkey` varchar(90) NOT NULL,
				`theme` text NOT NULL
			) ENGINE=MyISAM DEFAULT CHARSET=latin1; ";
			$result = mysql_query("$query");

			$query = "INSERT INTO `thephig_info` (`galleryTitle`, `galleryPath`, `copyrightOwner`, `copyrightLink`, `jsOverlay`, `imagesPath`, `albumsPerPage`, `imagesPerPage`, `maxHeight`, `maxWidth`, `thumbExtension`, `googleAPIkey`, `theme`) VALUES
			('$galleryTitle', '$galleryPath', '$copyrightOwner', '$copyrightLink', '$jsOverlay', '$imagesPath', '$albumsPerPage', '$imagesPerPage', '$maxHeight', '$maxWidth', '$thumbExtension', '$googleAPIkey', '$theme'); ";
			$result = mysql_query("$query");

			// thephig_users
			$query = "CREATE TABLE IF NOT EXISTS `thephig_users` (
			`id` tinyint(4) NOT NULL AUTO_INCREMENT,
			`username` text NOT NULL,
			`password` text NOT NULL,
			`permissions` varchar(20) NOT NULL,
			`description` text NOT NULL,
			`lastlogin` varchar(32) NOT NULL,
			PRIMARY KEY (`id`)
			) ENGINE=MyISAM  DEFAULT CHARSET=latin1 ;";
			$result = mysql_query("$query");

			$query = "INSERT INTO `thephig_users` (`id`, `username`, `password`, `permissions`, `description`, `lastlogin`) VALUES
			(1, '$adminUsername', '$adminPassword', 'admin', 'Admin Username', '2010-01-01, 23:33:33'); ";
			$result = mysql_query("$query");
			// }}}
			echo "<script type='text/javascript'>window.location = 'install.php'; </script>";
		}
	?>
	</div>
</body>
</html>
